=== debian/changelog ===
golang-github-containerd-imgcrypt (1.1.11-4) unstable; urgency=medium

  * Build against containerd 1.7
  * Bump Standards version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 27 Jul 2024 12:41:30 +0200

golang-github-containerd-imgcrypt (1.1.11-3) unstable; urgency=medium

  * Allow co-installation of ctr, rename binary to ctr-imgrypt
    Closes: #1074070

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 15 Jul 2024 00:42:37 -0400

golang-github-containerd-imgcrypt (1.1.11-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2024 20:39:57 -0400

golang-github-containerd-imgcrypt (1.1.11-1) experimental; urgency=medium

  * Initial release (Closes: #1073545)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Jun 2024 06:52:13 -0400
