=== debian/control ===
Source: golang-github-containerd-imgcrypt
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-containerd-containerd-dev (>> 1.7),
               golang-github-containerd-errdefs-dev,
               golang-github-containerd-typeurl-dev (>> 2),
               golang-github-containers-ocicrypt-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-imgcrypt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-imgcrypt.git
Homepage: https://github.com/containerd/imgcrypt
XS-Go-Import-Path: github.com/containerd/imgcrypt

Package: imgcrypt
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: OCI Image Encryption Package (program)
 The imgcrypt library provides API extensions for containerd to support
 encrypted container images and implements the ctd-decoder command line
 tool for use by containerd to decrypt encrypted container images. An
 extended version of containerd's ctr tool (ctr-enc) with support for
 encrypting and decrypting container images is also provided.
 .
 imgcrypt relies on the ocicrypt (https://github.com/containers/ocicrypt)
 library for crypto functions on image layers.
 .
 This package contains the command-line utility

Package: golang-github-containerd-imgcrypt-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-containerd-containerd-dev (>> 1.7),
         golang-github-containerd-errdefs-dev,
         golang-github-containerd-typeurl-dev (>> 2),
         golang-github-containers-ocicrypt-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         ${misc:Depends}
Description: OCI Image Encryption Package (library)
 The imgcrypt library provides API extensions for containerd to support
 encrypted container images and implements the ctd-decoder command line
 tool for use by containerd to decrypt encrypted container images. An
 extended version of containerd's ctr tool (ctr-enc) with support for
 encrypting and decrypting container images is also provided.
 .
 imgcrypt relies on the ocicrypt (https://github.com/containers/ocicrypt)
 library for crypto functions on image layers.
 .
 This package contains the command-line utility
