=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_install:
	mv -v debian/tmp/usr/bin/ctr debian/tmp/usr/bin/ctr-imgcrypt
